<?php
require'f_instant.php';
$tip='scrie mesaje instant';
require'f_vechime.php';
$titlu='Scrie mesaj instant';
require'f_sus.php';
require'f_mut.php';
$antiflood=$timp_editare*2;
$ultimul_instant=$conn->query('SELECT MAX(`data`)FROM`mesaje_instant`WHERE`de`="'.$de.'"')->fetch_row();
$instantfl=$ultimul_instant[0]+$antiflood;
if($perm>0)
$instantfl=0;
if($instantfl<$_SERVER['REQUEST_TIME'])
{
$shtxt=$_POST['shtxt']??'';
$pret_com=$_POST['pret_com']??0;
require'f_blocat.php';
if(!blocat($shtxt))
{
require'f_filtru.php';
$text=filtru($shtxt);
$nos=mb_substr_count($text,'<img src=');
if($nos>2)
$shtxt='Spre rusinea mea, nu am citit regulamentul, și am vrut sa pun mai mult de 2 zambareti! Va rog sa ma iertati!!!';
if($conn->query('INSERT INTO`mesaje_instant`SET`text`="'.$shtxt.'",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'"'))
{
$pid=$conn->insert_id;
$conn->query('UPDATE`membrii`SET`lei`=lei-'.$lei['instant'].',`mesaje_instant`=mesaje_instant+1 WHERE`id`="'.$de.'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Mesaj instant adaugat, ai platit suma de <strong>'.$lei['instant'].'</strong> lei!';
if(preg_match('/[^0-9]/',$pret_com)||mb_strlen($pret_com)>4)
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Excrocherii",`de`="'.$de.'",`text`="a încercat să ofere la un mesaj instant ca preț comentarii '.$pret_com.' lei, fapt pentru care i-au fost retrasi un număr de '.$conn->query('SELECT`lei`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0].' lei!",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$conn->query('UPDATE`membrii`SET`lei`="0"WHERE`id`="'.$de.'"');
echo'<br />Ai scris un preț incorect, dacă ai introdus alte simboluri care nu pot fi socotite ca și inselatorii, vei primi leii inapoi, vorbeste cu <strong>'.join(', sau cu ',array_map('nume',$id_proprietari)).'</strong> în maxim 24 de ore!';
}
else
{
if($pret_com>0)
{
$conn->query('UPDATE`mesaje_instant`SET`pret_com`="'.$pret_com.'"WHERE`id`="'.$pid.'"');
echo'<br />Ai setat ca preț pentru comentarii suma de <strong>'.$pret_com.'</strong> lei!<br />Oricand cineva comenteaza acest mesaj instant, ti-se va retrage din lei aceasta suma!';
}
}
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
}
else
{
$tip='text mesaj instant';
$text=$shtxt;
require'f_ban.php';
}
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Aici nu este chat, mai așteaptă '.($instantfl-$_SERVER['REQUEST_TIME']).' secunde, sa poți scrie din nou!';
echo$div[0].$div[1].'<a href="/top-mesaje-instant">'.img('topuri.gif',2).'Top mesaje instant</a>'.$div[0];
require'f_jos.php';